-- Deploy sc_vlci_userdb:v_migrations/TLF030-cambio-columna-varchar to pg

BEGIN;

ALTER TABLE sc_vlci_userdb.public.users 
ALTER COLUMN username TYPE varchar(50);

ALTER TABLE sc_vlci_userdb.public.granted_authorities 
ALTER COLUMN username TYPE varchar(50);

INSERT INTO public.users (username, "password", enabled, description, "position") VALUES
('umamas', 'Password1', 1, 'Sabri Manai', 'Idrica'),
('ufiroc', 'Password1', 1, 'Cecilia Fili Rodriguez', 'Idrica'),
('u301335', 'Password1', 1, 'Pere Fuset i Tortosa', 'Politico Oposicion'),
('u19535', 'Password1', 1, 'Vicente Rodrigo Ingresa', 'Jefe de Servicio'),
('u16608', 'Password1', 1, 'Maria Teresa Minguez Manzano', 'Funcionario General'),
('uldap1', 'Password1', 1, 'Usuario administrador SC Valencia', 'Administrador'),
('usmartcities', 'Password1', 1, 'Usuario administrador LDAP', 'Administrador'),
('u19537', 'Password1', 1, 'Fco. Javier Tamarit Suay', 'Funcionario General'),
('u19896', 'Password1', 1, 'Magraner Llinares', 'Funcionario General'),
('ualfaf', 'Password1', 1, 'Paco Albiol Fabregat', 'Funcionario General'),
('u18667', 'Password1', 1, 'Victor Sancho', 'Funcionario OCI'),
('umapux', 'Password1', 1, 'Xavi Martinez Puig', 'Idrica'),
('upicol', 'Password1', 1, 'Lucia Pizarro Coma', 'Idrica'),
('u18041', 'Password1', 1, 'Fernando Belenguer Mula', 'Jefe de servicio'),
('u18175', 'Password1', 1, 'Jordi Verdu Benavent', 'Jefe de servicio'),
('u18259', 'Password1', 1, 'García Manzanares, M.ª Mercedes', 'Jefe de servicio'),
('u18304', 'Password1', 1, 'Fermín Cerezo Peco', 'Jefe de servicio'),
('u17994', 'Password1', 1, 'Gines Buendia Buchon', 'Funcionario General'),
('u66173', 'Password1', 1, 'Jesus Sánchez Company', 'Funcionario General'),
('urusas', 'Password1', 1, 'Santiago Ruiz Sánchez', 'Desidedatum'),
('u18761', 'Password1', 1, 'Sonsoles Catala Verdet', 'Funcionario General'),
('lefc', 'Password1', 1, 'Ernesto Faubel Cubells', 'Funcionario OCI'),
('ljcg', 'Password1', 1, 'Juan Lucas Calderón', 'Funcionario OCI'),
('ljpl', 'Password1', 1, 'José Pinedo Luján', 'Funcionario OCI'),
('u13580', 'Password1', 1, 'Ernesto Faubel Cubells', 'Funcionario OCI'),
('u16656', 'Password1', 1, 'Juan Lucas Calderón García', 'Funcionario OCI'),
('u17569', 'Password1', 1, 'Ana Lacruz Miralles', 'Funcionario OCI'),
('u18133', 'Password1', 1, 'José Pinedo Luján', 'Funcionario OCI'),
('ubavej', 'Password1', 1, 'Julian Bautista', 'Idrica'),
('ugosaa', 'Password1', 1, 'Angel Gomez', 'Idrica'),
('ullpij', 'Password1', 1, 'Javier Llavador', 'Idrica'),
('usacas', 'Password1', 1, 'Ivan Sanchez', 'Idrica'),
('lrft', 'Password1', 1, 'Ramón Ferri Tormo', 'Funcionario OCI'),
('uvijij', 'Password1', 1, 'Julia Villanueva', 'Idrica'),
('lmag', 'Password1', 1, 'Maria Jose Andres Garcia', 'Jefe de servicio'),
('lvri', 'Password1', 1, 'Rodrigo Ingresa', 'Jefe de servicio'),
('u10807', 'Password1', 1, 'Tejeda Adell, M.ª Isabel', 'Jefe de servicio'),
('u10809', 'Password1', 1, 'Esmeralda Orero Pardo', 'Jefe de servicio'),
('u10917', 'Password1', 1, 'Maria Elvira Brull Codoñer', 'Jefe de servicio'),
('u10923', 'Password1', 1, 'Rausell Ruano, M.ª José', 'Jefe de servicio'),
('u11007', 'Password1', 1, 'Bernardino Gaspar Martínez', 'Jefe de servicio'),
('u11020', 'Password1', 1, 'Maria Jose Vivo Alos', 'Jefe de servicio'),
('u16516', 'Password1', 1, 'M Francisca Tamarit Valles', 'Jefe de servicio'),
('u16671', 'Password1', 1, 'Pla Tormo, Begoña', 'Jefe de servicio'),
('u16675', 'Password1', 1, 'Albors Rodrigo, Mara', 'Jefe de servicio'),
('u16678', 'Password1', 1, 'Cano Castaño, Sonia', 'Jefe de servicio'),
('u16680', 'Password1', 1, 'Maruxa Ramírez Íñiguez De La Torre', 'Jefe de servicio'),
('u16683', 'Password1', 1, 'Benavent Escribá, Alberto', 'Jefe de servicio'),
('u16733', 'Password1', 1, 'Dutor Santonja, Natalia', 'Jefe de servicio'),
('u16742', 'Password1', 1, 'Díez Fora, Nuria', 'Jefe de servicio'),
('u16852', 'Password1', 1, 'Villanueva López, M.ª Teresa', 'Jefe de servicio'),
('u16863', 'Password1', 1, 'Jarillo Herrero, Daniel', 'Jefe de servicio'),
('u16928', 'Password1', 1, 'Veronica Ripolles Agost', 'Jefe de servicio'),
('u16996', 'Password1', 1, 'Correcher Rigau', 'Jefe de servicio'),
('u17040', 'Password1', 1, 'Narváez Pérez, Fernando', 'Jefe de servicio'),
('u17068', 'Password1', 1, 'Casanova Llorens, Mercedes', 'Jefe de servicio'),
('u17381', 'Password1', 1, 'Jose Aguado Codina', 'Jefe de servicio'),
('u17385', 'Password1', 1, 'Eva Maria Botella Bernad', 'Jefe de servicio'),
('u17387', 'Password1', 1, 'Francisco Javie De Juan Ivars', 'Jefe de servicio'),
('u17389', 'Password1', 1, 'Fenoll Ferriols, Amparo', 'Jefe de servicio'),
('u17390', 'Password1', 1, 'Cristina Goig Alique', 'Jefe de servicio'),
('u17394', 'Password1', 1, 'Montoro Pons, María', 'Jefe de servicio'),
('u17398', 'Password1', 1, 'Picó Corbi, Rafael', 'Jefe de servicio'),
('u17399', 'Password1', 1, 'Viciano Pastor, Ana', 'Jefe de servicio'),
('u17412', 'Password1', 1, 'Suria Burgal, Eva Mª', 'Jefe de servicio'),
('u18330', 'Password1', 1, 'Tadeo Martínez', 'Jefe de servicio'),
('u18427', 'Password1', 1, 'M. Eugenia Canet Langa', 'Jefe de servicio'),
('u18452', 'Password1', 1, 'Enrique Manuel Peris Navarro', 'Jefe de servicio'),
('u18520', 'Password1', 1, 'Ana Maria Pont Perez', 'Jefe de servicio'),
('u18541', 'Password1', 1, 'Mateu Cerda, Maria Amparo', 'Jefe de servicio'),
('u18542', 'Password1', 1, 'Lacomba Andueza, Jose Ignacio', 'Jefe de servicio'),
('u18868', 'Password1', 1, 'Maria Pilar Millan Gresa', 'Jefe de servicio'),
('u19109', 'Password1', 1, 'Muñoz Malo, Araceli', 'Jefe de servicio'),
('u19233', 'Password1', 1, 'Olga Martinez Ferrer', 'Jefe de servicio'),
('u19261', 'Password1', 1, 'Bellver Alcántara, M.ª José', 'Jefe de servicio'),
('u19370', 'Password1', 1, 'García Nestares, Jose Manuel', 'Jefe de servicio'),
('u19436', 'Password1', 1, 'García Pastor, Marta', 'Jefe de servicio'),
('u19437', 'Password1', 1, 'Izquierdo Fos, Juan', 'Jefe de servicio'),
('u19439', 'Password1', 1, 'Mª Del Mar Martínez Fuentes', 'Jefe de servicio'),
('u19441', 'Password1', 1, 'Sancho Pérez, Silvia', 'Jefe de servicio'),
('u19442', 'Password1', 1, 'Saurí Rodrigo, Carmen', 'Jefe de servicio'),
('u19895', 'Password1', 1, 'López Montesinos, Ruth', 'Jefe de servicio'),
('u19897', 'Password1', 1, 'Fernando Garrigos Sanchis', 'Jefe de servicio'),
('u19898', 'Password1', 1, 'Enrique Encarnacion Tarazona', 'Jefe de servicio'),
('u21571', 'Password1', 1, 'Regina Ortega Gironés', 'Jefe de servicio'),
('u22346', 'Password1', 1, 'Chisbert Cuenca, Enrique', 'Jefe de servicio'),
('u22348', 'Password1', 1, 'Roca Sevilla, David', 'Jefe de servicio'),
('u29661', 'Password1', 1, 'Jose Vicente Herrera Arrando', 'Jefe de servicio'),
('u39078', 'Password1', 1, 'Fco.Vicente Fornes Ubeda', 'Jefe de servicio'),
('u39098', 'Password1', 1, 'Fermin Quero De Lera', 'Jefe de servicio'),
('u39892', 'Password1', 1, 'Burguet Amorós, M.ª José', 'Jefe de servicio'),
('u50483', 'Password1', 1, 'Meseguer Carrascosa, Gema', 'Jefe de servicio'),
('u50496', 'Password1', 1, 'Molla Calabuig', 'Jefe de servicio'),
('u60051', 'Password1', 1, 'Domingo Lopez Martinez', 'Jefe de servicio'),
('u60334', 'Password1', 1, 'Llopis Alandi, Antonio V.', 'Jefe de servicio'),
('u60350', 'Password1', 1, 'Amelia Quintana Trenor', 'Jefe de servicio'),
('u65701', 'Password1', 1, 'González Giménez, Ana M.ª', 'Jefe de servicio'),
('u65852', 'Password1', 1, 'Cristina Martinez Sanchez', 'Jefe de servicio'),
('u65944', 'Password1', 1, 'Bueno Cañigral, Francisco Jesús', 'Jefe de servicio'),
('usafem', 'Password1', 1, 'Marta Sapiña Ferrer', 'Jefe de servicio'),
('u301362', 'Password1', 1, 'Paula María Llovert Vilarrasa', 'Politico gobierno'),
('ucamaa', 'Password1', 1, 'Andres Castello', 'Telefonica'),
('uhemud', 'Password1', 1, 'David Hervas', 'Telefonica'),
('upacna', 'Password1', 1, 'Natalia Palomar', 'Telefonica'),
('ubamod', 'TEST', 1, 'David Barroso Moro', 'Telefonica'),
('u47100', 'Password1', 1, 'Carmiña Moya Equiza', 'Jefe de Oficina'),
('u19479', 'Password1', 1, 'Torres Chust, Alicia', 'Jefe de Seccion Adjunto'),
('u813817', 'Password1', 1, 'Jonatan Baena Lundgren', 'Funcionario General/Secretario'),
('u16016', 'Password1', 1, 'Zaragozá Bolinches, Vicente', 'Funcionario General/Intervencion'),
('u16866', 'Password1', 1, 'Brull Mandingorra, Ramon', 'Funcionario General/Intervencion'),
('u17963', 'Password1', 1, 'Maria Chova, Irene', 'Funcionario General/Intervencion'),
('u14585', 'Password1', 1, 'Manuel Latorre Hernandez', 'Funcionario General/Secretario'),
('u16006', 'Password1', 1, 'Jose Antonio Martinez Beltran', 'Funcionario General/Secretario'),
('u16655', 'Password1', 1, 'Francisco Javier Vila Biosca', 'Funcionario General/Secretario'),
('u17625', 'Password1', 1, 'Hilario Llavador Cisternes', 'Funcionario General/Secretario'),
('u18805', 'Password1', 1, 'Jose Vicente Ruano Vila', 'Funcionario General/Secretario'),
('u18050', 'Password1', 1, 'Alberto Jose Roche Garcia', 'Funcionario General/Tesoreria'),
('u16007', 'Password1', 1, 'Eva Maria Espinosa Rosello', 'Funcionario General/Tesoreria'),
('u16864', 'Password1', 1, 'Asuncion Abad Tora', 'Funcionario General'),
('u813624', 'Password1', 1, 'Maria Salud Pedros Cotino', 'Politico Gobierno');

INSERT INTO public.granted_authorities (username, authority) VALUES
('ubamod', 'AccUnifEconCiudMoviAlca'),
('u18133', 'AccUnifEconCiudMoviAlca'),
('u16656', 'AccUnifEconCiudMoviAlca'),
('u17569', 'AccUnifEconCiudMoviAlca'),
('u813817', 'AccUnifEconCiudMoviAlca'),
('urusas', 'DBPentDeveloperParticipacion'),
('ljpl', 'AccUnifEconCiudMoviAlca'),
('u301335', 'AccCiudad'),
('u22348', 'AccEconomico'),
('u19535', 'AccEconomico'),
('umamas', 'DBPentDeveloper'),
('ufiroc', 'DBPentDeveloper'),
('u10917', 'AccEconomico'),
('u16016', 'AccEconomico'),
('u16516', 'AccEconomico'),
('u16608', 'AccEconomico'),
('u16671', 'AccEconomico'),
('u16683', 'AccEconomico'),
('u17068', 'AccEconomico'),
('u17390', 'AccEconomico'),
('u17398', 'AccEconomico'),
('u18041', 'AccEconomico'),
('u18427', 'AccEconomico'),
('u19109', 'AccEconomico'),
('u19439', 'AccEconomico'),
('u19442', 'AccEconomico'),
('u19479', 'AccEconomico'),
('lrft', 'AccUnifEconCiudMoviAlca'),
('u16007', 'AccEconomico'),
('u18761', 'AccUnifEconCiudMoviAlca'),
('u16928', 'AccEconomico'),
('u29661', 'AccEconomico'),
('u65701', 'AccEconomico'),
('u66173', 'AccMovilidad'),
('u16655', 'AccUnifEconCiudMoviAlca'),
('u18805', 'AccUnifEconCiudMoviAlca'),
('u22346', 'AccEconomico'),
('u11007', 'AccEconomico'),
('u16678', 'AccEconomico'),
('u16680', 'AccEconomico'),
('u16742', 'AccEconomico'),
('u17040', 'AccEconomico'),
('u17389', 'AccEconomico'),
('u17399', 'AccEconomico'),
('u17412', 'AccEconomico'),
('u18175', 'AccEconomico'),
('u18259', 'AccEconomico'),
('u18452', 'AccEconomico'),
('u18541', 'AccEconomico'),
('u18868', 'AccEconomico'),
('u47100', 'AccEconomico'),
('u50483', 'AccEconomico'),
('upacna', 'DBPentDeveloper'),
('u13580', 'AccUnifEconCiudMoviAlca'),
('upicol', 'DBPentDeveloper'),
('u10809', 'AccEconomico'),
('u17381', 'AccEconomico'),
('u17387', 'AccEconomico'),
('u19898', 'AccEconomico'),
('usacas', 'DBPentDeveloper'),
('umapux', 'DBPentDeveloper'),
('u60051', 'AccEconomico'),
('u17625', 'AccUnifEconCiudMoviAlca'),
('ugosaa', 'DBPentDeveloper'),
('ubavej', 'DBPentDeveloper'),
('ullpij', 'DBPentDeveloper'),
('uhemud', 'DBPentDeveloper'),
('lmag', 'AccEconomico'),
('u10923', 'AccEconomico'),
('u11020', 'AccEconomico'),
('uldap1', 'DBPentAdmins'),
('u16852', 'AccEconomico'),
('u16866', 'AccEconomico'),
('u16996', 'AccEconomico'),
('u18050', 'AccEconomico'),
('u18330', 'AccEconomico'),
('u18542', 'AccEconomico'),
('u19261', 'AccEconomico'),
('u19370', 'AccEconomico'),
('u19441', 'AccEconomico'),
('u19537', 'AccEconomico'),
('u19897', 'AccEconomico'),
('u39098', 'AccEconomico'),
('u65852', 'AccEconomico'),
('u65944', 'AccEconomico'),
('usafem', 'AccEconomico'),
('u17994', 'AccMovilidad'),
('u16006', 'AccUnifEconCiudMoviAlca'),
('uvijij', 'DBPentDeveloper'),
('ljcg', 'AccUnifEconCiudMoviAlca'),
('u18667', 'DBPentDeveloper'),
('lvri', 'AccEconomico'),
('u10807', 'AccEconomico'),
('u16675', 'AccEconomico'),
('u16733', 'AccEconomico'),
('u16863', 'AccEconomico'),
('u17385', 'AccEconomico'),
('u17394', 'AccEconomico'),
('u17963', 'AccEconomico'),
('u18304', 'AccEconomico'),
('u18520', 'AccEconomico'),
('u19233', 'AccEconomico'),
('u19436', 'AccEconomico'),
('u19437', 'AccEconomico'),
('u19896', 'AccEconomico'),
('u21571', 'AccEconomico'),
('u39078', 'AccEconomico'),
('u39892', 'AccEconomico'),
('u50496', 'AccEconomico'),
('u60334', 'AccEconomico'),
('u60350', 'AccEconomico'),
('u19895', 'AccEconomicoMovilidad'),
('ualfaf', 'AccMovilidad'),
('lefc', 'AccUnifEconCiudMoviAlca'),
('u14585', 'AccUnifEconCiudMoviAlca'),
('usmartcities', 'DBPentAdmins'),
('ucamaa', 'DBPentDeveloper'),
('u301362', 'AccUnifEconCiudMoviAlca'),
('u16864', 'AccEconomico'),
('u813624','AccUnifEconCiudMoviAlca');

COMMIT;
